Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1319468 - gucharmap-9.0.0 is available
Summary: gucharmap-9.0.0 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gucharmap
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1357769
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-20 12:14 UTC by Upstream Release Monitoring
Modified: 2016-09-05 17:51 UTC (History)
3 users (show)

Fixed In Version: gucharmap-9.0.0-1.fc25
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-05 17:51:47 UTC
Type: ---


Attachments (Terms of Use)
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (7.39 KB, patch)
2016-03-20 12:14 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (5.26 KB, patch)
2016-05-10 00:16 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (5.26 KB, patch)
2016-06-30 00:36 UTC, Upstream Release Monitoring
no flags Details | Diff
Patch for rawhide (f25) (2.64 KB, patch)
2016-07-26 07:23 UTC, Yaakov Selkowitz
no flags Details | Diff

Description Upstream Release Monitoring 2016-03-20 12:14:26 UTC
Latest upstream release: 8.0.0
Current version/release in rawhide: 3.18.2-2.fc24
URL: http://live.gnome.org/Gucharmap

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1276/

Comment 1 Upstream Release Monitoring 2016-03-20 12:14:56 UTC
Patching or scratch build for gucharmap and version 3.18.2 FAILED.
See for details

Comment 2 Upstream Release Monitoring 2016-03-20 12:14:57 UTC
Created attachment 1138258 [details]
Rebase-helper rebase-helper-debug.log log file.
 See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 3 Upstream Release Monitoring 2016-03-20 12:14:58 UTC
Patches were not touched. All were applied properly

Comment 4 Upstream Release Monitoring 2016-05-10 00:15:56 UTC
Latest upstream release: 8.0.1
Current version/release in rawhide: 3.18.2-2.fc24
URL: http://live.gnome.org/Gucharmap

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1276/

Comment 5 Upstream Release Monitoring 2016-05-10 00:16:46 UTC
Patching or scratch build for gucharmap-3.18.2 failed.

Comment 6 Upstream Release Monitoring 2016-05-10 00:16:47 UTC
Created attachment 1155476 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 7 Upstream Release Monitoring 2016-05-10 00:16:48 UTC
Patches were not touched. All were applied properly

Comment 8 Upstream Release Monitoring 2016-06-30 00:35:33 UTC
Latest upstream release: 9.0.0
Current version/release in rawhide: 3.18.2-2.fc24
URL: http://live.gnome.org/Gucharmap

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1276/

Comment 9 Upstream Release Monitoring 2016-06-30 00:36:35 UTC
Patching or scratch build for gucharmap-3.18.2 failed.

Comment 10 Upstream Release Monitoring 2016-06-30 00:36:37 UTC
Created attachment 1174281 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 11 Upstream Release Monitoring 2016-06-30 00:36:39 UTC
Patches were not touched. All were applied properly

Comment 12 Yaakov Selkowitz 2016-07-19 06:31:18 UTC
Once 1357769 is satisfactorily resolved, this can be built by adding

BuildRequires: unicode-ucd >= 9.0

(or even >= %{version} presuming there won't be e.g. gucharmap 9.0.1), then adding the following to the %configure flags:

--with-unicode-data=%{_datadir}/unicode/ucd

Comment 13 Christian Persch 2016-07-25 18:37:48 UTC
There will be a gucharmap 9.0.1 certainly. You should make the build-req check equality, not >=, since gucharmap depends on the exact unicode version (gucharmap 10.0.x will depend on unicode = 10.0.0, etc).

Comment 14 Yaakov Selkowitz 2016-07-26 07:23:52 UTC
Created attachment 1184081 [details]
Patch for rawhide (f25)

This requires unicode-ucd-9.0.0-2 which adds the unihan subpackage:

http://koji.fedoraproject.org/koji/buildinfo?buildID=785449

I wasn't able to complete a scratch build as it wasn't yet available in koji, 
but this mock built on x86_64 after manually installing those packages.

Comment 15 Yaakov Selkowitz 2016-07-26 20:34:09 UTC
Successful scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=15026006

F25 branching is currently in progress; once complete, this can be built for both f25 and rawhide/f26.

Comment 16 Yaakov Selkowitz 2016-08-03 23:57:06 UTC
Anything else I can do to move this forward for f25?

Comment 18 Matthias Clasen 2016-08-31 19:54:33 UTC
Sure, looks fine to me. Feel free to build it.

Comment 19 Upstream Release Monitoring 2016-08-31 20:53:11 UTC
yselkowitz's gucharmap-9.0.0-1.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=795998

Comment 20 Fedora Update System 2016-08-31 21:13:32 UTC
gucharmap-9.0.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-10c94aa94c

Comment 21 Fedora Update System 2016-09-01 20:23:48 UTC
gucharmap-9.0.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-10c94aa94c

Comment 22 Fedora Update System 2016-09-05 17:51:44 UTC
gucharmap-9.0.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.